Subject: [bug#75787] [PATCH] gnu: Add microcabal.

From: Lars-Dominik Braun <[email-masked]>
Date: Sun, 2 Feb 2025 12:19:54 +0100

Hi,

> Sorry about that, I expected it to be used only to build packages for 
> Guix, not as package manager.

do you have an example for that? I would like to be able to do both,
if possible.

> It's surprising MicroHs itself ignores MHSDIR, considering it didn't 
> ignore this variable while building MicroCabal.

I believe MicroCabal explicitly unsets the search path (via `-i`
without any argument).

> Considering inputs are runtime dependencies, shouldn't they go to 
> propagated-inputs?

Yes and no. Whenever possible, runtime dependencies should be plain
inputs. The key here is that their paths are baked into the resulting
mcabal binary via the 'fix-paths phase. propagated-inputs is (imo)
a last-resort is case that is not feasible or desired.

Lars